---
- hosts: all
  remote_user: root
  gather_facts: no
  tasks:
  - name: Installing Ansible
    yum: 
      name: "ansible"
      state: present

# Preparing your hosts
- name: basic environment init
  include: preparation/init.yml

# - name: check openshift facts
#   include: ../../playbooks/byo/openshift_facts.yml

# - name: prerequisites
#   include: ../../playbooks/prerequisites.yml

- name: deploy cluster
  include: ../../playbooks/deploy_cluster.yml
